# hey Emacs, its -*- rpm-spec -*-
# $Id: php-mysql,v 1.6 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################

# Package name without php prefix
%define		php_extension	mysql
###############################################################
%set_automake_version 1.7

Name:	 	php-%php_extension
Version:	%php_version
Release:	%php_release
Group:		System/Servers
Requires:	libMySQL
License:	PHP Licence
Prereq:		php-libs = 1:%php_version-%php_release 
# Automatically added by buildreq on Fri Apr 09 2004
BuildRequires: gcc-c++ hostinfo libMySQL-devel zlib-devel
BuildRequires: php-devel = 1:%php_version-%php_release 
BuildRequires: automake_1.7

Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

Obsoletes:	mod_php3-mysql, mod_php-mysql
Summary:	MySQL database module for PHP4
%add_serial php-devel

%description
The php-mysql package includes a dynamic shared object (DSO) that adds MySQL
database support to PHP4.  MySQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an HTML-embedded
scripting language. If you need back-end support for MySQL, you should
install this package in addition to the main php package.

%prep
%setup -T -c
cp -pr %php_extsrcdir/%php_extension/* .

%build
phpize

BUILD_HAVE=`echo %php_extension | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%_libdir"
export CFLAGS  

%configure \
    --with-php-config=%_bindir/php-config \
    --with-mysql=%_usr 
		  
find -type f|xargs %__grep -l "MYSQL_SHARED_LIBADD" |\
	xargs %__subst 's| -lmysqlclient| -L/usr/lib -lmysqlclient -lz -lcrypt -lnsl -lm|'

%php_make

%install
%php_make_install

%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Fri Aug 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Sat May 22 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- Extension module moved to /usr/lib/php/%%php_version/extensions .

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- minor build scheme fix:
  - macro php_optflags added.
  - sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot php4.3.4 CVS-20031101

* Fri Oct 17 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- New CVS snapshot.
- New scheme loading extensions. From now all extensions in 
  the /etc/<SAPI>/php.d/*.ini (Fixed #2940). This scheme fixed #2532.
  For more information please read documentation.
- New scheme creating/installing SAPI.
  + each SAPI may have own config file;
  + each SAPI may have own extensions kit.
- spec changes.

* Sat Aug 30 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030830
- fresh cvs snapshot.

* Wed Aug 06 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030806
- new CVS build.
- bug #0002779 closed.

* Wed Jul 09 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030708
- new CVS build

* Sun Apr 06 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.2-alt0.cvs20030405
- new CVS build

* Sat Mar 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.1-alt0.cvs20030301
- new version PHP 4.3.1 CVS-20030301

* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Thu Feb 28 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes
- Rebuild against DB 3.3

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Mon May 14 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.RC1
- Release Candidate 1 for 4.0.6

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module 
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.6
- Rebuild against libmysqlclient_r, not libmysqlclient

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.5
- Fixed bug with mysql socket. This also eliminates need to have
  MySQL working during php-mysql build.

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.4
- Rebuild with fixed version of PHP4

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
